﻿using Discord.Commands;

namespace KasinoBot
{
    public class Commands : ModuleBase<SocketCommandContext>
    {
        private PlayerController playerController = PlayerController.Instance;

        [Command("ping")]
        [Alias("pong", "hello")]
        public Task PingAsync()
            => ReplyAsync("pong!");

        [Command("play", RunMode = RunMode.Async)]
        public async Task PlayAsync([Remainder] string musicString)
        {
            await playerController.Play(musicString, Context);
        }

        [Command("stop", RunMode = RunMode.Async)]
        public async Task StopAsync()
        {
            await playerController.Stop(Context);
        }

        [Command("skip", RunMode = RunMode.Async)]
        public async Task SkipAsync()
        {
            await playerController.Skip(Context);
        }
    }
}

